Subject: PR approved?

From: [email-masked]
Date: Mon, 26 Sep 94 09:20:08 CDT

Does anyone know if lads with priority date of 7/2/93 receive PR approval
notice from Houston INS? Your reply is appreciated in advance.